Trading Dialogue For Lodging 

Provided he makes and wins an argument about Buddhism with those who live there, any wandering monk can remain in a Zen temple. If he is defeated, he has to move on. 

In a temple in the northern part of Japan two brother monks were dwelling together. The elder one was learned, but the younger one was stupid and had but one eye. 

A wandering monk came and asked for lodging, properly challenging them to a debate about the sublime teaching. The elder brother, tired that day from much studying, told the younger one to take his place. "Go and request the dialogue in silence," he cautioned. 

So the young monk and the stranger went to the shrine and sat down. 

Shortly afterwards the traveler rose and went in to the elder brother and said: "Your young brother is a wonderful fellow. He defeated me."

"Relate the dialogue to me," said the elder one. 

"Well," explained the traveler, "first I held up one finger, representing Buddha, the enlightened one. So he held up two fingers, signifying Buddha and his teaching. I held up three fingers, representing Buddha, his teaching, and his followers, living the harmonious life. Then he shook his clenched fist in my face, indicating that all three come from one realization. Thus he won and so I have no right to remain here." With this, the traveler left. 

"Where is that fellow?" asked the younger one, running in to his elder brother. 

"I understand you won the debate."

"Won nothing. I'm going to beat him up."

"Tell me the subject of the debate," asked the elder one. 

"Why, the minute he saw me he held up one finger, insulting me by insinuating that I have only one eye. Since he was a stranger I thought I would be polite to him, so I held up two fingers, congratulating him that he has two eyes. Then the impolite wretch held up three fingers, suggesting that between us we only have three eyes. So I got mad and started to punch him, but he ran out and that ended it!"
